语法测试

;|This is a test ,Don't copy it!|;
(defun c:test ()
  (setq ent (car (entsel)))
  (setq obj (vlax-ename->vla-object ent))
  (setq pts (vla-intersectwith obj obj acExtendNone))
  (setq par (vlax-curve-getEndParam  obj))
  (setq i 0)
  (while (<= i par)
    (setq pt (vlax-curve-getpointatParam obj i))
    (princ pt)
    (setq i (1+ i))
  );while
  (princ)
);defun

评论

语法测试 — 一条评论

发表评论

电子邮件地址不会被公开。 必填项已用*标注

您可以使用这些HTML标签和属性: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code class="" title="" data-url=""> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong> <pre class="" title="" data-url=""> <span class="" title="" data-url="">